webpage/docs/api/settings-get.api.mdx
import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint"; import ParamsDetails from "@theme/ParamsDetails"; import RequestSchema from "@theme/RequestSchema"; import StatusCodes from "@theme/StatusCodes"; import OperationTabs from "@theme/OperationTabs"; import TabItem from "@theme/TabItem"; import Heading from "@theme/Heading";
<Heading as={"h1"} className={"openapi__heading"} children={"Get Room Settings"}
</Heading>
<MethodEndpoint method={"get"} path={"/api/room/settings"} context={"endpoint"}
</MethodEndpoint>
Retrieve the current settings of the room.
<ParamsDetails parameters={undefined}
</ParamsDetails>
<RequestSchema title={"Body"} body={undefined}
</RequestSchema>
<StatusCodes id={undefined} label={undefined} responses={{"200":{"description":"Room settings retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"private_mode":{"type":"boolean","description":"Indicates if the room is in private mode."},"locked_controls":{"type":"boolean","description":"Indicates if the room controls are locked."},"implicit_hosting":{"type":"boolean","description":"Indicates if implicit hosting is enabled."},"inactive_cursors":{"type":"boolean","description":"Indicates if inactive cursors are shown."},"merciful_reconnect":{"type":"boolean","description":"Indicates if merciful reconnect is enabled."},"plugins":{"type":"object","additionalProperties":true,"description":"Additional plugin settings."}},"title":"Settings"}}}},"401":{"description":"The request requires user authentication.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}},"403":{"description":"The server understood the request, but refuses to authorize it.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}}}}
</StatusCodes>